<back to all web services

FileUpload

The following routes are available for this service:
POST/RestApi/translations/fileupload
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class FileUpload
    {
        public InputStream RequestStream = null;
        public String FileName = null;
        public String Connector = null;
        
        public InputStream getRequestStream() { return RequestStream; }
        public FileUpload setRequestStream(InputStream value) { this.RequestStream = value; return this; }
        public String getFileName() { return FileName; }
        public FileUpload setFileName(String value) { this.FileName = value; return this; }
        public String getConnector() { return Connector; }
        public FileUpload setConnector(String value) { this.Connector = value; return this; }
    }

}

Java FileUpload DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/fileupload HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"FileName":"String","Connector":"String"}